Subject: LAD priority date (Re:)

From: [email-masked] (Mi Mi)
Date: Wed, 16 Feb 94 17:04:18 CST

[email-masked] wrote:

/   I believe only spouse adopts his/her principle's priority date, Not
                                                                    ^^^
/   general dependents.
^^^^^^^^^^^^^^^^^^^^^^

Nope. I do not think so. If their kids are under 21, then everyone is the
same.

Mi Mi Sr.

/   ===
/    Eric
/
/   >
/   >Mi Mi Sr.:
/   >
/   >Last Aug. my son filed the PR application as LAD with the INS at The Twin
/   >Cities, MN. I have not heard any thing yet. I know my son with many other 
/   >applicants have the quota problem; anyway I contacted the INS.
/   >I was told by two officers that because my son priority date was in Aug.
/   >they have not processed his application. I tried to explain that his
/   >priority date should be my priority date which is July 1, but I failed
/   >to convince them. They insisted that my son's priority date is his
/   >application date.
/   >
//  >Do you have any idea about how to clarify this and convince them.
/   >Thank you for any suggestions.
/   >
/   >Xiao-Liang
/   >